/* MAP */
.container-side {
  display: grid;
  grid-template-columns: 4fr 8fr;
  width: 100%;
  height: 100vh;
  position: fixed;
}

#map {
  margin-top: 60.42px;
  width: 100%;
  height: 100vh;
  /* position: fixed; */
  /* problem height */
  grid-row: 1 / span 2;
  grid-column: 1 / span 2;
  z-index: 1;
}

.icon-map-daycare {
  /* hex #44BCC5*/
  filter: brightness(0) saturate(100%) invert(63%) sepia(12%) saturate(2122%)
    hue-rotate(136deg) brightness(106%) contrast(76%);
}

.icon-map-childcare {
  /* hex #FF9C00 */
  filter: brightness(0) saturate(100%) invert(57%) sepia(90%) saturate(598%)
    hue-rotate(356deg) brightness(96%) contrast(112%);
}

.icon-map-preschool {
  /* hex #2DA771 */
  filter: brightness(0) saturate(100%) invert(51%) sepia(7%) saturate(3688%)
    hue-rotate(101deg) brightness(104%) contrast(90%);
}

.icon-map-playgroup {
  /* hex #9747FF */
  filter: brightness(0) saturate(100%) invert(27%) sepia(78%) saturate(2695%)
    hue-rotate(250deg) brightness(108%) contrast(105%);
}

.icon-map-playground {
  /* hex #ff3a44 */
  filter: brightness(0) saturate(100%) invert(37%) sepia(64%) saturate(6243%)
    hue-rotate(340deg) brightness(113%) contrast(100%);
}

.leaflet-top {
  margin-top: 120px;
}

/* search */
#search {
  margin-top: 72.42px;
  padding-left: 16px;
  padding-right: 16px;
  width: 100%;
  height: max-content;
  /* position: fixed; */
  grid-row: 1;
  grid-column: 1 / span 2;
  z-index: 1;
  overflow: auto;
}

#search .input-group {
  border-radius: 4px;
}

#search input {
  font-size: var(--font-size-normal-1);
  color: #49454f;
  padding: 18px 0 18px 16px;
}
#search input::placeholder {
  color: #49454f;
}

#search span {
  display: flex;
  align-items: center;
  font-size: var(--font-size-seminormal-2);
  padding: 11px;
  color: #1c1b1f;
}

/* filter */
.filter .shape-square {
  width: max-content;
  padding: 4px 8px 4px 8px;
  border-radius: 32px;
  display: flex;
  align-items: center;
  justify-content: center;
  box-shadow: none;
}

.filter p {
  margin: 0;
  margin-left: 9px;
  color: black;
  font-size: var(--font-size-small-1);
  font-weight: var(--font-weight-seminormal);
}

.filter ul::-webkit-scrollbar {
  background: transparent;
}

.filter li {
  margin-right: 10px;
  cursor: pointer;
}
/* BELUM SELESAI JS */
.filter .shape-square:hover,
.filter .active {
  background-color: #daf2f3;
  border: 1px solid var(--primary-color);
}

.filter .circle {
  width: 14px;
  height: 14px;
  background-color: var(--primary-color);
}

.filter .childcare .circle {
  background-color: #ff9c00;
}

.filter .preschool .circle {
  background-color: #2da771;
}

.filter .playground .circle {
  background-color: #9747ff;
}

.filter .playgroup .circle {
  background-color: #ff3a44;
}

/* list mitra */
#list-mitra {
  bottom: 0;
  /* position: fixed; */
  /* position: absolute; */
  width: 100%;
  height: 45vh;
  border-bottom-left-radius: 0;
  border-bottom-right-radius: 0;
  padding: 16px 16px 0 16px;
  overflow: auto;
  grid-row: 2;
  grid-column: 1 / span 2;
  align-self: self-end;
  z-index: 1;
}

#list-mitra::-webkit-scrollbar {
  width: 0;
  height: 0;
}

.mitra {
  margin-bottom: 16px;
  width: 100%;
  height: auto;
  display: grid;
  grid-template-columns: 3fr 9fr;
  grid-gap: 8px;
}

.logo-mitra {
  background-color: transparent;
  border-radius: 8px;
  display: flex;
  width: 90px;
  height: 90px;
  grid-column: 1;
  grid-row: 1 / span 2;
}

.logo-mitra img {
  width: 90px;
  height: 90px;
  object-fit: scale-down;
}

.ket-mitra {
  font-size: var(--font-size-small);
  text-transform: capitalize;
  grid-column: 2;
  grid-row: 1;
}

.ket-mitra img {
  margin-right: 6px;
  width: 16px;
  height: 16px;
}

.nama-mitra {
  font-weight: var(--font-weight-seminormal);
}

.review-mitra .total {
  font-weight: var(--font-weight-seminormal);
}

@media screen and (min-width: 768px) {
  /* container-side */
  #map {
    grid-row: 1 / span 2;
    grid-column: 2;
  }

  #search {
    grid-row: 1;
    grid-column: 1;
    overflow: auto;
  }

  .filter ul li {
    border: 1px solid var(--primary-color);
  }

  .filter ul::-webkit-scrollbar {
    background: transparent;
  }

  #list-mitra {
    grid-row: 1 / span 2;
    grid-column: 1;
    align-self: self-start;
    margin-top: 180px;
    height: 100%;
    /* position: fixed; */
  }

  .leaflet-top {
    margin-top: 0;
  }
}
